{
  description = "Content and server config for erambler.co.uk";

  inputs.nixpkgs.url = "github:NixOS/nixpkgs";
  inputs.flake-utils.url = "github:numtide/flake-utils";

  outputs = { self, nixpkgs, flake-utils }:
    (flake-utils.lib.eachDefaultSystem (system:
      let pkgs = nixpkgs.legacyPackages.${system};
      in {
        defaultPackage = pkgs.callPackage ./nix/build.nix { };
        devShell = pkgs.callPackage ./nix/shell.nix { };
      })) // {
        nixosModule = import ./nix/server.nix { inherit self; };
      };
}
